interface IViewerOptions {
    theme?: 'dark' | 'light';
    lang?: string;
    citationBib?: string | null;
    shareFunction?: ((pages: string | null, expaireDate: string) => Promise<string>) | null;
    homeFunction?: (() => void) | null;
    saveFunction?: ((svg: HTMLElement, name: string) => void) | null;
    layersFunction?: ((page: number) => void) | null;
}
interface IViewerProps {
    data: string | null;
    options: IViewerOptions | null;
}
/**
 * The Viewer component. It takes a base64 encoded string of the PDF file and renders it.
 *
 * @param viewerProps IViewerProps, data -> base64, options -> IViewerOptions
 * @returns - The Viewer component
 */
export declare const Viewer: (viewerProps: IViewerProps) => import("react/jsx-runtime").JSX.Element;
export declare const renderViewer: (rootId: string, data: string, options?: IViewerOptions | null) => void;
export {};
