/// <reference types="react" />
interface IViewerContext {
    theme: 'dark' | 'light' | undefined;
    setTheme: (theme: 'dark' | 'light') => void;
    shareFunction?: ((pages: string | null, expaireDate: string) => Promise<string>) | null;
    homeFunction?: (() => void) | null;
    saveFunction?: ((svg: HTMLElement, name: string) => void) | null;
    layersFunction?: ((page: number) => void) | null;
    setShowHelp: (show: boolean) => void;
    showHelp: boolean;
}
export declare const ViewerContext: import("react").Context<IViewerContext | null>;
/**
 * Returns the viewer context
 *
 * @throws {Error}
 * This error is thrown if context is null
 *
 * @returns {IViewerContext}
 */
export declare const useViewerContext: () => IViewerContext;
export {};
